net.minecraft.world

## Class GameRules

- java.lang.Object
- - net.minecraft.world.GameRules

-     public class GameRules
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GameRules()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGameRule(java.lang.String par1Str, java.lang.String par2Str)`
    `boolean` | `getGameRuleBooleanValue(java.lang.String par1Str)`
    `java.lang.String` | `getGameRuleStringValue(java.lang.String par1Str)`
    `java.lang.String[]` | `getRules()`
    `boolean` | `hasRule(java.lang.String par1Str)`
    `void` | `readGameRulesFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setOrCreateGameRule(java.lang.String par1Str, java.lang.String par2Str)`
    `NBTTagCompound` | `writeGameRulesToNBT()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GameRules

          public GameRules()

  - ### Method Detail

    - #### addGameRule

          public void addGameRule(java.lang.String par1Str,
                         java.lang.String par2Str)

    - #### setOrCreateGameRule

          public void setOrCreateGameRule(java.lang.String par1Str,
                                 java.lang.String par2Str)

    - #### getGameRuleStringValue

          public java.lang.String getGameRuleStringValue(java.lang.String par1Str)

    - #### getGameRuleBooleanValue

          public boolean getGameRuleBooleanValue(java.lang.String par1Str)

    - #### writeGameRulesToNBT

          public NBTTagCompound writeGameRulesToNBT()

    - #### readGameRulesFromNBT

          public void readGameRulesFromNBT(NBTTagCompound par1NBTTagCompound)

    - #### getRules

          public java.lang.String[] getRules()

    - #### hasRule

          public boolean hasRule(java.lang.String par1Str)